# Reports

There are several reports you can generate, and a few different formats to choose from.

## Generating Reports

Go to the Reports/Export page.  Select a report type and format, then press Generate Report.  You will be prompted to download a file containing the report, or, in the case of the HTML web page format, a new browser tab will open with the report.

## Report Types

 * Items
    * All items in the database.
 * Categories
    * List of categories.
* Locations
    * List of locations.
 * Understocked Items
    * List of items where the available quantity is less than the needed quantity.


## Report Formats

 * CSV text file
    * A Comma Seperated Values file, where each record is on a new line and columns are seperated with commas.  Viewable in most text editors and spreadsheet applications.
 * ODS spreadsheet
    * An Open Document Format spreadsheet.  Can be used in LibreOffice Calc, Excel, and all spreadsheet applications that follow modern standards for document file format.
* HTML web page
    * A HTML table.  Viewable in web browsers and some office applications, such as LibreOffice Writer.